> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getversive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Questions

Retrieve all questions associated with a specific study.


## OpenAPI

````yaml GET /api/v1/questions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.getversive.com
security: []
paths:
  /api/v1/questions:
    get:
      tags:
        - Questions
      summary: Get Questions
      operationId: get_questions_api_v1_questions_get
      parameters:
        - name: study_id
          in: query
          required: true
          schema:
            type: string
            description: ID of the study to retrieve questions for
            title: Study Id
          description: ID of the study to retrieve questions for
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                - id: q_123
                  content: What is your favorite color?
                  type: text
                  interviewer_notes: Ask about shade.
                  display_order: 1
                  props: {}
                  assets: []
                  logic:
                    - id: logic_123
                      study_id: study_123
                      question_id: q_123
                      operation: equals
                      comparison_value: Blue
                      comparison_value_type: text
                      next_question_id: q_125
                      redirect_url: null
                      end_interview: false
                      action_type: skip_to
                      language: English
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
              example:
                detail:
                  - loc:
                      - body
                      - title
                    msg: field required
                    type: value_error.missing
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````